Package org.eclipse.birt.chart.model.type.impl

# Class GanttSeriesImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.component.impl.SeriesImpl
org.eclipse.birt.chart.model.type.impl.GanttSeriesImpl

All Implemented Interfaces:
  `Series`, `IChartObject`, `GanttSeries`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class GanttSeriesImpl extends SeriesImpl implements GanttSeries
An implementation of the model object 'Gantt Series'.

The following features are implemented:

- `Start Marker`
- `Start Marker Position`
- `End Marker`
- `End Marker Position`
- `Connection Line`
- `Outline`
- `Outline Fill`
- `Use Decoration Label Value`
- `Decoration Label`
- `Decoration Label Position`
- `Palette Line Color`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetConnectionLine(LineAttributes newConnectionLine, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetDecorationLabel(Label newDecorationLabel, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetEndMarker(Marker newEndMarker, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetOutline(LineAttributes newOutline, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetOutlineFill(Fill newOutlineFill, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetStartMarker(Marker newStartMarker, org.eclipse.emf.common.notify.NotificationChain msgs)`
`GanttSeries`
`copyInstance()`
`static Series`
`create()`
A convenience method to create an initialized 'Series' instance
`static Series`
`createDefault()`
A convenience method to create an initialized 'Series' instance
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`LineAttributes`
`getConnectionLine()`
`Label`
`getDecorationLabel()`
`Position`
`getDecorationLabelPosition()`
`int[]`
`getDefinedDataDefinitionIndex()`
Returns the index array of data definitions which must be defined.
`String`
`getDisplayName()`
This method should return a user-friendly name for the series type.
`Marker`
`getEndMarker()`
`Position`
`getEndMarkerPosition()`
`org.eclipse.birt.chart.util.NameSet`
`getLabelPositionScope(ChartDimension dimension)`
Returns supported label positions scope in current series.
`LineAttributes`
`getOutline()`
`Fill`
`getOutlineFill()`
`Marker`
`getStartMarker()`
`Position`
`getStartMarkerPosition()`
`boolean`
`isPaletteLineColor()`
`boolean`
`isSetDecorationLabelPosition()`
`boolean`
`isSetEndMarkerPosition()`
`boolean`
`isSetPaletteLineColor()`
`boolean`
`isSetStartMarkerPosition()`
`boolean`
`isSetUseDecorationLabelValue()`
`boolean`
`isUseDecorationLabelValue()`
`void`
`setConnectionLine(LineAttributes newConnectionLine)`
`void`
`setDecorationLabel(Label newDecorationLabel)`
`void`
`setDecorationLabelPosition(Position newDecorationLabelPosition)`
`void`
`setEndMarker(Marker newEndMarker)`
`void`
`setEndMarkerPosition(Position newEndMarkerPosition)`
`void`
`setOutline(LineAttributes newOutline)`
`void`
`setOutlineFill(Fill newOutlineFill)`
`void`
`setPaletteLineColor(boolean newPaletteLineColor)`
`void`
`setStartMarker(Marker newStartMarker)`
`void`
`setStartMarkerPosition(Position newStartMarkerPosition)`
`void`
`setUseDecorationLabelValue(boolean newUseDecorationLabelValue)`
`String`
`toString()`
`void`
`unsetDecorationLabelPosition()`
`void`
`unsetEndMarkerPosition()`
`void`
`unsetPaletteLineColor()`
`void`
`unsetStartMarkerPosition()`
`void`
`unsetUseDecorationLabelValue()`

### Methods inherited from class org.eclipse.birt.chart.model.component.impl.SeriesImpl

`basicSetCursor, basicSetCurveFitting, basicSetDataPoint, basicSetLabel, canBeStacked, canParticipateInCombination, canShareAxisUnit, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getLabel, getLabelPosition, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, translateFrom, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.birt.chart.model.component.Series

`canBeStacked, canParticipateInCombination, canShareAxisUnit, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getLabel, getLabelPosition, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, translateFrom, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

## Method Details

### getStartMarker

public Marker getStartMarker()

Specified by:
  `getStartMarker` in interface `GanttSeries`
Returns:
  the value of the 'Start Marker' containment reference.
See Also:
  - `GanttSeries.setStartMarker(Marker)`
  - `TypePackage.getGanttSeries_StartMarker()`

### basicSetStartMarker

public org.eclipse.emf.common.notify.NotificationChain basicSetStartMarker(Marker newStartMarker, org.eclipse.emf.common.notify.NotificationChain msgs)

### setStartMarker

public void setStartMarker(Marker newStartMarker)

Specified by:
  `setStartMarker` in interface `GanttSeries`
Parameters:
  `newStartMarker` - the new value of the 'Start Marker' containment reference.
See Also:
  - `GanttSeries.getStartMarker()`

### getStartMarkerPosition

public Position getStartMarkerPosition()

Specified by:
  `getStartMarkerPosition` in interface `GanttSeries`
Returns:
  the value of the 'Start Marker Position' attribute.
See Also:
  - `Position`
  - `GanttSeries.isSetStartMarkerPosition()`
  - `GanttSeries.unsetStartMarkerPosition()`
  - `GanttSeries.setStartMarkerPosition(Position)`
  - `TypePackage.getGanttSeries_StartMarkerPosition()`

### setStartMarkerPosition

public void setStartMarkerPosition(Position newStartMarkerPosition)

Specified by:
  `setStartMarkerPosition` in interface `GanttSeries`
Parameters:
  `newStartMarkerPosition` - the new value of the 'Start Marker Position' attribute.
See Also:
  - `Position`
  - `GanttSeries.isSetStartMarkerPosition()`
  - `GanttSeries.unsetStartMarkerPosition()`
  - `GanttSeries.getStartMarkerPosition()`

### unsetStartMarkerPosition

public void unsetStartMarkerPosition()

Specified by:
  `unsetStartMarkerPosition` in interface `GanttSeries`
See Also:
  - `GanttSeries.isSetStartMarkerPosition()`
  - `GanttSeries.getStartMarkerPosition()`
  - `GanttSeries.setStartMarkerPosition(Position)`

### isSetStartMarkerPosition

public boolean isSetStartMarkerPosition()

Specified by:
  `isSetStartMarkerPosition` in interface `GanttSeries`
Returns:
  whether the value of the 'Start Marker Position' attribute is set.
See Also:
  - `GanttSeries.unsetStartMarkerPosition()`
  - `GanttSeries.getStartMarkerPosition()`
  - `GanttSeries.setStartMarkerPosition(Position)`

### getEndMarker

public Marker getEndMarker()

Specified by:
  `getEndMarker` in interface `GanttSeries`
Returns:
  the value of the 'End Marker' containment reference.
See Also:
  - `GanttSeries.setEndMarker(Marker)`
  - `TypePackage.getGanttSeries_EndMarker()`

### basicSetEndMarker

public org.eclipse.emf.common.notify.NotificationChain basicSetEndMarker(Marker newEndMarker, org.eclipse.emf.common.notify.NotificationChain msgs)

### setEndMarker

public void setEndMarker(Marker newEndMarker)

Specified by:
  `setEndMarker` in interface `GanttSeries`
Parameters:
  `newEndMarker` - the new value of the 'End Marker' containment reference.
See Also:
  - `GanttSeries.getEndMarker()`

### getEndMarkerPosition

public Position getEndMarkerPosition()

Specified by:
  `getEndMarkerPosition` in interface `GanttSeries`
Returns:
  the value of the 'End Marker Position' attribute.
See Also:
  - `Position`
  - `GanttSeries.isSetEndMarkerPosition()`
  - `GanttSeries.unsetEndMarkerPosition()`
  - `GanttSeries.setEndMarkerPosition(Position)`
  - `TypePackage.getGanttSeries_EndMarkerPosition()`

### setEndMarkerPosition

public void setEndMarkerPosition(Position newEndMarkerPosition)

Specified by:
  `setEndMarkerPosition` in interface `GanttSeries`
Parameters:
  `newEndMarkerPosition` - the new value of the 'End Marker Position' attribute.
See Also:
  - `Position`
  - `GanttSeries.isSetEndMarkerPosition()`
  - `GanttSeries.unsetEndMarkerPosition()`
  - `GanttSeries.getEndMarkerPosition()`

### unsetEndMarkerPosition

public void unsetEndMarkerPosition()

Specified by:
  `unsetEndMarkerPosition` in interface `GanttSeries`
See Also:
  - `GanttSeries.isSetEndMarkerPosition()`
  - `GanttSeries.getEndMarkerPosition()`
  - `GanttSeries.setEndMarkerPosition(Position)`

### isSetEndMarkerPosition

public boolean isSetEndMarkerPosition()

Specified by:
  `isSetEndMarkerPosition` in interface `GanttSeries`
Returns:
  whether the value of the 'End Marker Position' attribute is set.
See Also:
  - `GanttSeries.unsetEndMarkerPosition()`
  - `GanttSeries.getEndMarkerPosition()`
  - `GanttSeries.setEndMarkerPosition(Position)`

### getConnectionLine

public LineAttributes getConnectionLine()

Specified by:
  `getConnectionLine` in interface `GanttSeries`
Returns:
  the value of the 'Connection Line' containment reference.
See Also:
  - `GanttSeries.setConnectionLine(LineAttributes)`
  - `TypePackage.getGanttSeries_ConnectionLine()`

### basicSetConnectionLine

public org.eclipse.emf.common.notify.NotificationChain basicSetConnectionLine(LineAttributes newConnectionLine, org.eclipse.emf.common.notify.NotificationChain msgs)

### setConnectionLine

public void setConnectionLine(LineAttributes newConnectionLine)

Specified by:
  `setConnectionLine` in interface `GanttSeries`
Parameters:
  `newConnectionLine` - the new value of the 'Connection Line' containment reference.
See Also:
  - `GanttSeries.getConnectionLine()`

### getOutline

public LineAttributes getOutline()

Specified by:
  `getOutline` in interface `GanttSeries`
Returns:
  the value of the 'Outline' containment reference.
See Also:
  - `GanttSeries.setOutline(LineAttributes)`
  - `TypePackage.getGanttSeries_Outline()`

### basicSetOutline

public org.eclipse.emf.common.notify.NotificationChain basicSetOutline(LineAttributes newOutline, org.eclipse.emf.common.notify.NotificationChain msgs)

### setOutline

public void setOutline(LineAttributes newOutline)

Specified by:
  `setOutline` in interface `GanttSeries`
Parameters:
  `newOutline` - the new value of the 'Outline' containment reference.
See Also:
  - `GanttSeries.getOutline()`

### getOutlineFill

public Fill getOutlineFill()

Specified by:
  `getOutlineFill` in interface `GanttSeries`
Returns:
  the value of the 'Outline Fill' containment reference.
See Also:
  - `GanttSeries.setOutlineFill(Fill)`
  - `TypePackage.getGanttSeries_OutlineFill()`

### basicSetOutlineFill

public org.eclipse.emf.common.notify.NotificationChain basicSetOutlineFill(Fill newOutlineFill, org.eclipse.emf.common.notify.NotificationChain msgs)

### setOutlineFill

public void setOutlineFill(Fill newOutlineFill)

Specified by:
  `setOutlineFill` in interface `GanttSeries`
Parameters:
  `newOutlineFill` - the new value of the 'Outline Fill' containment reference.
See Also:
  - `GanttSeries.getOutlineFill()`

### isUseDecorationLabelValue

public boolean isUseDecorationLabelValue()

Specified by:
  `isUseDecorationLabelValue` in interface `GanttSeries`
Returns:
  the value of the 'Use Decoration Label Value' attribute.
See Also:
  - `GanttSeries.isSetUseDecorationLabelValue()`
  - `GanttSeries.unsetUseDecorationLabelValue()`
  - `GanttSeries.setUseDecorationLabelValue(boolean)`
  - `TypePackage.getGanttSeries_UseDecorationLabelValue()`

### setUseDecorationLabelValue

public void setUseDecorationLabelValue(boolean newUseDecorationLabelValue)

Specified by:
  `setUseDecorationLabelValue` in interface `GanttSeries`
Parameters:
  `newUseDecorationLabelValue` - the new value of the 'Use Decoration Label Value' attribute.
See Also:
  - `GanttSeries.isSetUseDecorationLabelValue()`
  - `GanttSeries.unsetUseDecorationLabelValue()`
  - `GanttSeries.isUseDecorationLabelValue()`

### unsetUseDecorationLabelValue

public void unsetUseDecorationLabelValue()

Specified by:
  `unsetUseDecorationLabelValue` in interface `GanttSeries`
See Also:
  - `GanttSeries.isSetUseDecorationLabelValue()`
  - `GanttSeries.isUseDecorationLabelValue()`
  - `GanttSeries.setUseDecorationLabelValue(boolean)`

### isSetUseDecorationLabelValue

public boolean isSetUseDecorationLabelValue()

Specified by:
  `isSetUseDecorationLabelValue` in interface `GanttSeries`
Returns:
  whether the value of the 'Use Decoration Label Value' attribute is set.
See Also:
  - `GanttSeries.unsetUseDecorationLabelValue()`
  - `GanttSeries.isUseDecorationLabelValue()`
  - `GanttSeries.setUseDecorationLabelValue(boolean)`

### getDecorationLabel

public Label getDecorationLabel()

Specified by:
  `getDecorationLabel` in interface `GanttSeries`
Returns:
  the value of the 'Decoration Label' containment reference.
See Also:
  - `GanttSeries.setDecorationLabel(Label)`
  - `TypePackage.getGanttSeries_DecorationLabel()`

### basicSetDecorationLabel

public org.eclipse.emf.common.notify.NotificationChain basicSetDecorationLabel(Label newDecorationLabel, org.eclipse.emf.common.notify.NotificationChain msgs)

### setDecorationLabel

public void setDecorationLabel(Label newDecorationLabel)

Specified by:
  `setDecorationLabel` in interface `GanttSeries`
Parameters:
  `newDecorationLabel` - the new value of the 'Decoration Label' containment reference.
See Also:
  - `GanttSeries.getDecorationLabel()`

### getDecorationLabelPosition

public Position getDecorationLabelPosition()

Specified by:
  `getDecorationLabelPosition` in interface `GanttSeries`
Returns:
  the value of the 'Decoration Label Position' attribute.
See Also:
  - `Position`
  - `GanttSeries.isSetDecorationLabelPosition()`
  - `GanttSeries.unsetDecorationLabelPosition()`
  - `GanttSeries.setDecorationLabelPosition(Position)`
  - `TypePackage.getGanttSeries_DecorationLabelPosition()`

### setDecorationLabelPosition

public void setDecorationLabelPosition(Position newDecorationLabelPosition)

Specified by:
  `setDecorationLabelPosition` in interface `GanttSeries`
Parameters:
  `newDecorationLabelPosition` - the new value of the 'Decoration Label Position' attribute.
See Also:
  - `Position`
  - `GanttSeries.isSetDecorationLabelPosition()`
  - `GanttSeries.unsetDecorationLabelPosition()`
  - `GanttSeries.getDecorationLabelPosition()`

### unsetDecorationLabelPosition

public void unsetDecorationLabelPosition()

Specified by:
  `unsetDecorationLabelPosition` in interface `GanttSeries`
See Also:
  - `GanttSeries.isSetDecorationLabelPosition()`
  - `GanttSeries.getDecorationLabelPosition()`
  - `GanttSeries.setDecorationLabelPosition(Position)`

### isSetDecorationLabelPosition

public boolean isSetDecorationLabelPosition()

Specified by:
  `isSetDecorationLabelPosition` in interface `GanttSeries`
Returns:
  whether the value of the 'Decoration Label Position' attribute is set.
See Also:
  - `GanttSeries.unsetDecorationLabelPosition()`
  - `GanttSeries.getDecorationLabelPosition()`
  - `GanttSeries.setDecorationLabelPosition(Position)`

### isPaletteLineColor

public boolean isPaletteLineColor()

Specified by:
  `isPaletteLineColor` in interface `GanttSeries`
Returns:
  the value of the 'Palette Line Color' attribute.
See Also:
  - `GanttSeries.isSetPaletteLineColor()`
  - `GanttSeries.unsetPaletteLineColor()`
  - `GanttSeries.setPaletteLineColor(boolean)`
  - `TypePackage.getGanttSeries_PaletteLineColor()`

### setPaletteLineColor

public void setPaletteLineColor(boolean newPaletteLineColor)

Specified by:
  `setPaletteLineColor` in interface `GanttSeries`
Parameters:
  `newPaletteLineColor` - the new value of the 'Palette Line Color' attribute.
See Also:
  - `GanttSeries.isSetPaletteLineColor()`
  - `GanttSeries.unsetPaletteLineColor()`
  - `GanttSeries.isPaletteLineColor()`

### unsetPaletteLineColor

public void unsetPaletteLineColor()

Specified by:
  `unsetPaletteLineColor` in interface `GanttSeries`
See Also:
  - `GanttSeries.isSetPaletteLineColor()`
  - `GanttSeries.isPaletteLineColor()`
  - `GanttSeries.setPaletteLineColor(boolean)`

### isSetPaletteLineColor

public boolean isSetPaletteLineColor()

Specified by:
  `isSetPaletteLineColor` in interface `GanttSeries`
Returns:
  whether the value of the 'Palette Line Color' attribute is set.
See Also:
  - `GanttSeries.unsetPaletteLineColor()`
  - `GanttSeries.isPaletteLineColor()`
  - `GanttSeries.setPaletteLineColor(boolean)`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `SeriesImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `SeriesImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `SeriesImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `SeriesImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `SeriesImpl`

### toString

public String toString()

Overrides:
  `toString` in class `SeriesImpl`

### create

public static Series create()
A convenience method to create an initialized 'Series' instance

### createDefault

public static Series createDefault()
A convenience method to create an initialized 'Series' instance

### getDisplayName

public String getDisplayName()
Description copied from interface: `Series`
This method should return a user-friendly name for the series type. NOTE: Manually written

Specified by:
  `getDisplayName` in interface `Series`
Overrides:
  `getDisplayName` in class `SeriesImpl`
Returns:
  display name for the series type

### copyInstance

public GanttSeries copyInstance()

Specified by:
  `copyInstance` in interface `GanttSeries`
Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Series`
Overrides:
  `copyInstance` in class `SeriesImpl`

### getLabelPositionScope

public org.eclipse.birt.chart.util.NameSet getLabelPositionScope(ChartDimension dimension)
Description copied from interface: `Series`
Returns supported label positions scope in current series. Label position set in series must be in one of these types.

Specified by:
  `getLabelPositionScope` in interface `Series`
Overrides:
  `getLabelPositionScope` in class `SeriesImpl`
Parameters:
  `dimension` - chart dimension
Returns:
  NameSet with supported label positions.

### getDefinedDataDefinitionIndex

public int[] getDefinedDataDefinitionIndex()
Description copied from interface: `Series`
Returns the index array of data definitions which must be defined. For instance, if there are two data definitions in series, and the first one can be not defined, this method will return 1 in integer array; if two of them must be defined, this method will return 0 and 1 in integer array.

Specified by:
  `getDefinedDataDefinitionIndex` in interface `Series`
Overrides:
  `getDefinedDataDefinitionIndex` in class `SeriesImpl`
Returns:
  index array